unit uBitmap1; { BitMap-Demo, mk, 24.4.03 } 

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    bZeige: TButton; lOrt: TLabel; eX: TEdit; eY: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure bZeigeClick(Sender: TObject);
  private
    // 1. Referenzvariable vereinbaren
    bild : TBitMap;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  // 2. Objekt erzeugen
  bild := TBitMap.Create;
  // 3. BitMap aus Datei laden, damit wird Gre gesetzt
  bild.LoadFromFile('bitmap2.bmp');
  // 4. Eigenschaften einstellen
  bild.Transparent := true;
end;

procedure TForm1.bZeigeClick(Sender: TObject);
var
  x,y : integer;
begin
  x := StrToInt(eX.text); y := StrToInt(eY.text);
  // 5. Bitmap anzeigen
  Canvas.Draw(x,y,bild);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  // 6. Speicher freigeben
  bild.free;
end;

end.
